# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

Name:		perl-Pod-Wordlist-hanekomu
Version:	1.132680
Release:	26.%{__distinit}%{__distvers}
Summary:	Add words for spell checking POD
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Pod-Wordlist-hanekomu
Source0:	https://cpan.metacpan.org/modules/by-module/Pod/Pod-Wordlist-hanekomu-%{version}.tar.gz
BuildArch:	noarch
# ===================================================================
# Module Build requirements
# ===================================================================
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
# ===================================================================
# Module requirements
# ===================================================================
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Spelling) >= 0.12, aspell, aspell-en
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# ===================================================================
# Test Suite requirements
# ===================================================================
BuildRequires:	perl(blib)
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::More) >= 0.94
# ===================================================================
# Author/Release test requirements
#
# Don't run these tests or include their requirements if we're
# bootstrapping, as many of these modules require each other for
# their author/release tests.
# ===================================================================
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(English)
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Pod::Wordlist) >= 1.06
BuildRequires:	perl(Test::HasVersion)
BuildRequires:	perl(Test::CheckChanges)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::DistManifest)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::Kwalitee)
BuildRequires:	perl(Test::MinimumVersion)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Perl::Critic)
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Portability::Files)
BuildRequires:	perl(Test::Synopsis)
BuildRequires:	perl(Test::Vars)
%endif
# ===================================================================
# Runtime dependencies
# ===================================================================
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	aspell

%description
When loaded, this module automatically adds Test::Spelling stopwords for
POD spell checking, that is, words that should be ignored by the spell
check.

The stopword list includes some CPAN author names, technical terms (e.g.
JSON, URI) and other commonly-used words not included in the default
word list (e.g. mixin, munging).

%prep
%setup -q -n Pod-Wordlist-hanekomu-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test %{!?perl_bootstrap:AUTHOR_TESTING=1 RELEASE_TESTING=1}

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Pod/
%{_mandir}/man3/Pod::Wordlist::hanekomu.3*

%changelog
* Fri Jul  7 2023 Paul Howarth <paul@city-fan.org> - 1.132680-26
- Use SPDX-format license tag
- Use %%license unconditionally

* Tue Mar 10 2020 Paul Howarth <paul@city-fan.org> - 1.132680-25
- BR: perl(blib) for t/00-compile.t

* Wed Oct 30 2019 Paul Howarth <paul@city-fan.org> - 1.132680-23
- Use author-independent source URL
- Add runtime dependency on aspell as this module explicitly sets
  Test::Spelling's spell command to 'aspell list'

* Mon Apr 16 2018 Paul Howarth <paul@city-fan.org> - 1.132680-15
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workarounds for building with Test::More < 0.94
  - Test::Vars always available

* Thu Sep 22 2016 Paul Howarth <paul@city-fan.org> - 1.132680-10
- Fix FTBFS when perl is not in the minimal buildroot
- BR: perl-generators where available
- Test::Vars now working with all perls since 5.10 again
- Simplify find command using -delete

* Sun Jun 28 2015 Paul Howarth <paul@city-fan.org> - 1.132680-7
- Disable use of Test::Vars with Perl 5.22
  (https://github.com/gfx/p5-Test-Vars/issues/11)

* Mon Sep 15 2014 Paul Howarth <paul@city-fan.org> - 1.132680-3
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible
- BR: perl(Test::Synopsis) unconditionally

* Thu Sep 26 2013 Paul Howarth <paul@city-fan.org> - 1.132680-1
- Update to 1.132680
  - Marked as deprecated now that words are merged into Pod::Wordlist
- Classify buildreqs by usage
- BR: perl(Pod::Wordlist) ≥ 1.06 for spell check
- Update patches as needed

* Thu Jan 24 2013 Paul Howarth <paul@city-fan.org> - 1.130240-1
- Update 1.130240
  - Added "rjbs", "mst", "subclass", "subclasses" and "tuple"

* Wed Oct 10 2012 Paul Howarth <paul@city-fan.org> - 1.122840-1
- Update to 1.122840
  - Added "MongoDB", "RDBMS", "SQLite" and "iteratively"

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 1.121370-3
- Perl 5.16 post-bootstrap rebuild

* Mon Jun 25 2012 Paul Howarth <paul@city-fan.org> - 1.121370-2
- Perl 5.16 rebuild

* Thu May 17 2012 Paul Howarth <paul@city-fan.org> - 1.121370-1
- Update to 1.121370
  - Added: "GUIDs", "UUID", "UUIDs", "searchable"
- Re-diff patches where necessary to avoid .orig file pollution

* Thu May  3 2012 Paul Howarth <paul@city-fan.org> - 1.121231-1
- Update to 1.121231
  - Added "deserialized" and "parameterizable"
- Drop now-redundant BR: perl(Test::Requires) and patch to support building
  without it
- Re-diff patches where necessary to avoid .orig file pollution

* Sun Apr  1 2012 Paul Howarth <paul@city-fan.org> - 1.120920-1
- Update to 1.120920
  - Added "pre", "precompute", "prereq", "prereqs", "symlinked"
- Update patch for building without Test::Requires if necessary

* Thu Mar 15 2012 Paul Howarth <paul@city-fan.org> - 1.120740-1
- Update to 1.120740
  - Documentation and metadata update
  - Added "CamelCase", "CPANPLUS", "EINTR", "GUID", "HTTPS", "IETF", "IRC",
    "ISP", "ISP's", "JSON", "modulino", "SMTP", "SSL", "URI's", "UTC", "wiki"
    "analyses", "chunked", "locator", "redirections", "reusability", and
    "timestamp"
- BR: perl(Test::Requires) where possible and patch the test suite not to use
  it otherwise
- Update %%description
- Use metacpan.org URLs
- Don't need to remove empty directories from buildroot
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation
  - Never need BR: aspell-en-gb
  - Unconditionally BR: perl(Test::Perl::Critic)
- Update patch for building with ExtUtils::MakeMaker < 6.30 and
  Test::More < 0.88

* Wed Dec 28 2011 Paul Howarth <paul@city-fan.org> - 1.113620-1
- Update to 1.113620
  - Added "Lapworth", "UTF", "aggregator", "aggregators", "probe's",
    "runtime", "seekable" and "sigils"
- Re-diff patches where necessary to avoid .orig file pollution

* Tue Aug  9 2011 Paul Howarth <paul@city-fan.org> - 1.110090-2
- BR: perl(Test::HasVersion) and perl(Test::Vars) for full release test
  coverage

* Sun Aug  7 2011 Paul Howarth <paul@city-fan.org> - 1.110090-1
- Initial RPM version
